/* SQL-92 Table Creation Script with DBISAM Extensions */

CREATE TABLE IF NOT EXISTS "WorkOrderTasks"
(
   "RecID" AUTOINC NOT NULL,
   "WorkOrderID" INTEGER NOT NULL,
   "TaskOrder" INTEGER DEFAULT 0,
   "TaskID" INTEGER NOT NULL,
   "ProcedureID" INTEGER NOT NULL,
   "TaskCategory" VARCHAR(35) NOT NULL DEFAULT 'General',
   "WorkGroup" VARCHAR(35) NOT NULL DEFAULT 'General',
   "TaskTitle" VARCHAR(60) NOT NULL,
   "TaskDetail" VARCHAR(512) NOT NULL,
   "TaskOutcome" VARCHAR(50) NOT NULL DEFAULT 'Not Done',
   "ExpectedOutcome" VARCHAR(50) NOT NULL,
   "Comments" VARCHAR(512),
   "FeedBackLines" INTEGER NOT NULL DEFAULT 0 MIN 0,
   "Occupation" VARCHAR(50),
   "HrsDuration" FLOAT DEFAULT 0,
   "TaskDocumentFile" VARCHAR(512),
   "UpdatedBy" VARCHAR(20) NOT NULL DEFAULT '0' CHARCASE UPPER,
   "UpdatedAt" TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY ("WorkOrderID","TaskOrder","TaskID") COMPRESS NONE
LOCALE CODE 0
USER MAJOR VERSION 1
LAST AUTOINC 77169
);

CREATE INDEX IF NOT EXISTS "TaskCategory" ON "WorkOrderTasks" ("TaskCategory");
CREATE INDEX IF NOT EXISTS "WorkGroup" ON "WorkOrderTasks" ("WorkGroup");
CREATE INDEX IF NOT EXISTS "TaskTitle" ON "WorkOrderTasks" ("TaskTitle");
CREATE INDEX IF NOT EXISTS "RecID" ON "WorkOrderTasks" ("RecID");
CREATE INDEX IF NOT EXISTS "ProcedureID" ON "WorkOrderTasks" ("ProcedureID");
CREATE INDEX IF NOT EXISTS "TaskID" ON "WorkOrderTasks" ("TaskID");
CREATE INDEX IF NOT EXISTS "TaskOutcome" ON "WorkOrderTasks" ("TaskOutcome");
CREATE INDEX IF NOT EXISTS "ExpectedOutcome" ON "WorkOrderTasks" ("ExpectedOutcome");

INSERT INTO "WorkOrderTasks" VALUES (51118, 15679, 0, 829, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Emergency Station Access', 
         'Inspect access ways to emergency station'+
         ' for obstructions, slip or trip hazards.'+
         '', 
         'Done and OK', 
         'Done and OK', NULL, 2, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51119, 15679, 1, 824, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Eyewash Protection Caps', 
         'Are the eyewash protection caps in good '+
         'condition and in the correct position?'+
         '', 
         'Yes', 
         'Yes', NULL, 2, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51120, 15679, 2, 823, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Water Valve Operation', 
         'Does the water valve operate freely with'+
         ' a single motion and remain open when th'+
         'e operator removes their hand?'+
         '', 
         'Yes', 
         'Yes', NULL, 1, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51121, 15679, 3, 825, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Water Jets', 
         'Are all water jets free of obstruction a'+
         'nd projecting flow at the appropriate an'+
         'gles?'+
         '', 
         'Yes', 
         'Yes', NULL, 1, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51122, 15679, 4, 826, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Water Quality', 
         'Run and collect the water for five secon'+
         'ds. Inspect the collected water for disc'+
         'olouration and sediment. Repeat the proc'+
         'esss up to five times until water is cle'+
         'ar. Contact Maintenance if water clarity'+
         ' remains unacceptable.'+
         '', 
         'Done and OK', 
         'Done and OK', NULL, 3, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51123, 15679, 5, 830, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Inspect Emergency Station Water Isolatio'+
         'n Valve'+
         '', 
         'Ensure the water isolation valve is left'+
         ' in the ON postion following inspection.'+
         '', 
         'Done and OK', 
         'Done and OK', NULL, 0, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51124, 15679, 6, 828, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Clean Up Any Inspection Spillage', 
         'Clean up any spillage resulting from ins'+
         'pection process.'+
         '', 
         'Done and OK', 
         'Done and OK', NULL, 0, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
INSERT INTO "WorkOrderTasks" VALUES (51125, 15679, 7, 827, 671, 
         'Safety Equipment', 
         'Health And Safety Inspection', 
         'Complete Emergency Station Inspection Re'+
         'cord'+
         '', 
         'The emergency station test record is loc'+
         'ated ajacent to the station and must be '+
         'completed when the station is in an acce'+
         'ptable operating condition. Has the test'+
         ' record been completed?'+
         '', 
         'Yes', 
         'Yes', NULL, 4, 
         'Other', 0, NULL, 
         'HOL005', '2014-09-19 12:22');
